ftools (3)                    Libraryfunktionen

NAME
   FUNCTION ftools.get_extension$(pfad$)
   FUNCTION ftools.get_filename$(pfad$)
   FUNCTION ftools.get_path$(pfad$)
   FUNCTION ftools.file_moeglich(file$)
   FUNCTION ftools.ordner_exist(pfad$)
   FUNCTION ftools.wechsel_ins_dir_von(filename$)
   FUNCTION ftools.call_prg(prg$,chdir!,argv!,VAR kz$)

BESCHREIBUNG
   Eine Gruppe von Funktionen, die ab und an im Umgang mit Dateien ganz
   ntzlich sind.

   FUNCTION ftools.get_extension$(pfad$)
      Vom angegebenen Pfad wird die Extension der Datei extrahiert, z.B.
      d:\usr\pc\work\filelist.c  -> c
      d:\usr\pc\work\filelist.c.x -> x
      d:\usr\pc\work\filelist    -> ""

   FUNCTION ftools.get_filename$(pfad$)
      Liefert den Teil nach dem letzten Backslash, z.B.
      d:\usr\pc\work\filelist.c  -> filelist.c
      filelist.c                 -> filelist.c
      d:\usr                     -> usr
      d:\usr\                    -> ""
      (Es wird nicht geprft, ob es sich berhaupt um ein File und nicht um
      einen Ordner handelt)

   FUNCTION ftools.get_path$(pfad$)
      Liefert den Pfad-Anteil des Namens zurck.
      d:\usr\pc\work\filelist.c  -> d:\usr\pc\work
      filelist.c                 -> ""

   FUNCTION ftools.file_moeglich(file$)
      Prft, ob die angegebene Datei angelegt werden knnte. Die Prfung ist
      relativ simpel und fngt nur leichtere Bedienungsfehler ab.
      fung ohne Diskzugriff mglich ist). z.B.
      d:\usr\pc\work\filelist.c  -> TRUE
      d:\usr\pc\work             -> TRUE (Filename work)
            ! Das anlegen der Datei work scheitert aber trotzdem, da ein
            ! Ordner dieses Namens schon existiert.
      d:\usr\pc\work\            -> FALSE (Filename leer)
      d:\existiert_nicht\xxx     -> FALSE (existiert_nicht existiert eben
                                           nicht)

   FUNCTION ftools.ordner_exist(pfad$)
      prft, ob der angegebene Ordner existiert.

   FUNCTION ftools.wechsel_ins_dir_von(filename$)
      Wechselt ins Directory des angegebenen Files.

   FUNCTION ftools.call_prg(prg$,chdir!,argv!,kz$)
      Die Funktion ruft ein externes Programm auf, ohne sich um GEM und hn-
      lichen Kram zu kmmern.
      prg$:    Pfad und Name der Programmes
      chdir!:  Wenn TRUE, wird vorher ins Verzeichnis des Programmes gewech-
               selt.
      argv!:   Kommandozeile im ARGV-Format bergeben?
      kz$:     Kommandozeilenstring, kann, wenn ARGV benutzt wird, mehr als
               124 Zeichen lang sein (ansonsten wird er verkrzt).

AUTOR
   Uwe Ohse, 1991/1992

BEMERKUNGEN
   ordner_exist und file_moeglich fangen noch zu wenig Alternativen ab.
   wechsel_ins_dir_von benutzt CHDRIVE und CHDIR. Wenn dabei ein Fehler
   auftritt, meldet Bugsic einen Fehler!
   call_prg strzt ab, wenn Kommandozeile plus Environment lnger als 32
   KB sind. In der Praxis taucht der Fall aber kaum auf.
